> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Coverage

> Import a coverage referential (JSON).



## OpenAPI

````yaml /openapi-v1.json post /api/v1/coverage/import
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/coverage/import:
    post:
      tags:
        - Coverage
      summary: Import Coverage
      description: Import a coverage referential (JSON).
      operationId: core_api_v1_controllers_coverage_import_coverage
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CoverageImportIn'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    CoverageImportIn:
      description: A coverage referential to import (same shape as the shared JSON).
      properties:
        name:
          title: Name
          type: string
        version:
          default: ''
          title: Version
          type: string
        description:
          default: ''
          title: Description
          type: string
        domains:
          default: []
          items:
            $ref: '#/components/schemas/CoverageDomainIn'
          title: Domains
          type: array
      required:
        - name
      title: CoverageImportIn
      type: object
    CoverageDomainIn:
      properties:
        name:
          title: Name
          type: string
        questions:
          default: []
          items:
            type: string
          title: Questions
          type: array
      required:
        - name
      title: CoverageDomainIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````